Non Conformance Customer
The non conformance customer resource.
/nonConformanceCustomerList non conformance customers
Retrieve a paginated list of non conformance customers. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/nonConformanceCustomer?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"customerId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}
]/nonConformanceCustomerRetrieve a non conformance customer
Fetch a single non conformance customer by filtering on `id`.
Query parameters
idstringMatch on the non conformance customer's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/nonConformanceCustomer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"customerId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}/nonConformanceCustomerCreate a non conformance customer
Create a new non conformance customer.
Body parameters
nonConformanceIdstringrequiredReferences nonConformance.id
customerIdstringrequiredReferences customer.id
companyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/nonConformanceCustomer \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"nonConformanceId":"xyz789","customerId":"xyz789","companyId":"xyz789"}'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"customerId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}/nonConformanceCustomerUpdate a non conformance customer
Update an existing non conformance customer, matched on `id`.
Body parameters
nonConformanceIdstringrequiredReferences nonConformance.id
customerIdstringrequiredReferences customer.id
companyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/nonConformanceCustomer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"nonConformanceId":"xyz789"}'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"customerId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}/nonConformanceCustomerDelete a non conformance customer
Delete a non conformance customer, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the non conformance customer to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/nonConformanceCustomer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'